/**
 * HMsweep - software to measure frequnecy responses with the sound card and a
 * Hameg digital storage oscilloscope
 *         
 * Copyright (C) 2016 Lars Stollenwerk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General
 * Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin St,
 * Fifth Floor, Boston, MA 02110, USA
 *
 * Contact the author via
 * LSto@opppf.de
 * http://opppf.de/HMsweep/
 */
#ifndef SINEGEN_HM_H
#define SINEGEN_HM_H

#include "lib232.h"

/**
 * Struct identifying a sine generator.
 */
typedef struct
{
    int fd;	/* file descriptor */
} sinegen_hm_t;


/**
 * Start sine generator with frequency f.
 *
 * device	serial deviece for output
 * f		frequency in Hz
 * return: sinegen handle, NULL on error
 */
sinegen_hm_t * sinegen_hm_start( const char * device, double f );


/**
 * Stop sine generator.
 *
 * sg	singe generator
 */
void sinegen_hm_stop( sinegen_hm_t * sg );


#endif
